Summary:	GeoLite Country - Country database for GeoIP
Summary(pl.UTF-8):	GeoLite Country - baza danych krajów dla GeoIP
Name:		GeoIP-db-Country
# Updated every month:
Version:	2016.08.02
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz?/GeoIP-%{version}.dat.gz
# Source0-md5:	0e92e8735a8a3e609be87581499a39e5
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz?/GeoIPv6-%{version}.dat.gz
# Source1-md5:	29ac91110c5d84f5001d18d41e5ee20d
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
Requires:	GeoIP-libs >= 1.4.5-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GeoLite Country is similar to the GeoIP Country database, but is not
as accurate. Should you require greater accuracy, GeoIP Country is a
drop-in replacement for GeoLite Country.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
GeoLite Country jest podobna do bazy danych GeoIP Country, ale nie
jest tak dokładna. Jeśli wymagana jest większa dokładność, GeoIP
Country jest zamiennikiem GeoLite Country.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxMind, dostępne z <http://www.maxmind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

gzip -d GeoIP-%{version}.dat.gz GeoIPv6-%{version}.dat.gz
dt4=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
dt5=$(TZ=GMT stat -c '%y' GeoIP-%{version}.dat | awk '{print $1}' | tr - .)
if [ "$(echo $dt4 | tr -d .)" -gt "$(echo $dt6 | tr -d .)" ]; then
	ver=$dt4
else
	ver=$dt6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoIP-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIP.dat
cp -p GeoIPv6-%{version}.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIPv6.dat

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Sat Aug 20 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/GeoIP-db-Country.git;a=log;h=master

* Tue Aug 02 2016 Elan Ruusamäe <glen@delfi.ee> 233b49d
- updated to 2016.08.02

* Wed Jul 06 2016 Elan Ruusamäe <glen@delfi.ee> af548c0
- updated to 2016.07.06

* Tue Jun 07 2016 Adam Osuchowski <adwol@pld-linux.org> a820a9e
- up to 2016.06.07

* Fri Jun 03 2016 Adam Osuchowski <adwol@pld-linux.org> 21d9051
- typo

* Thu May 12 2016 Jan Rękorajski <baggins@pld-linux.org> 37bd499
- release 2 (by relup.sh)

* Tue May 03 2016 Elan Ruusamäe <glen@delfi.ee> d5564df
- updated to 2016.05.03

* Mon Apr 18 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 45d5a25
- up to 20160405

* Thu Mar 03 2016 Elan Ruusamäe <glen@delfi.ee> 76cfcf6
- updated to 2016.03.03

* Tue Feb 02 2016 Elan Ruusamäe <glen@delfi.ee> 1b2e4fb
- updated to 2016.02.02

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 5874f5c
- updated to 2016.01.05

* Mon Dec 21 2015 Elan Ruusamäe <glen@delfi.ee> a77aed1
- update md5

* Tue Dec 01 2015 Elan Ruusamäe <glen@delfi.ee> 62aaa50
- updated to 2015.12.01

* Tue Nov 03 2015 Elan Ruusamäe <glen@delfi.ee> f44585e
- updated to 2015.11.03

* Tue Oct 27 2015 Elan Ruusamäe <glen@delfi.ee> b72ed9c
- updated to 2015.10.27

* Fri Oct 09 2015 Elan Ruusamäe <glen@delfi.ee> 8a1beb3
- updated to 2015.10.09

* Wed Oct 07 2015 Elan Ruusamäe <glen@delfi.ee> 9588d48
- updated to 2015.10.07

* Tue Oct 06 2015 Elan Ruusamäe <glen@delfi.ee> 4728d6d
- updated to 2015.10.06

* Wed Sep 02 2015 Elan Ruusamäe <glen@delfi.ee> 499d964
- updated to 2015.09.02

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> b5fd557
- up to 2015.08.05

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> 36ee947
- up to 2015.07.24

